%define staticdevelname %mklibname %{name} -d -s

Summary:	Advanced IP routing and network device configuration tools
Name:		iproute2
Version:	4.9.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
Url:		http://www.linuxfoundation.org/en/Net:Iproute2
Source0:	http://www.kernel.org/pub/linux/utils/net/iproute2/%{name}-%{version}.tar.xz
# RH patches
# MGA patches
Patch100:	iproute2-3.2.0-def-echo.patch
Patch102:	iproute2-2.4.7-bashfix.patch
Patch109:	iproute2-3.9.0-IPPROTO_IP_for_SA.patch
Patch110:	iproute2-3.9.0-q_atm-ld-uneeded.patch
BuildRequires:	bison
BuildRequires:	db5.3-devel
BuildRequires:	flex
BuildRequires:	kernel-userspace-headers >= %{version}
BuildRequires:	linuxdoc-tools
BuildRequires:	linux-atm-devel
BuildRequires:	pkgconfig(xtables)
Buildrequires:	pkgconfig(libnl-3.0)
BuildRequires:	texlive
BuildRequires:	texlive-texmf
Requires:	iputils

%description
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

%package -n %{staticdevelname}
Summary:	Development files for iproute2
Group:		Development/C
Provides:	iproute2-devel = %{version}-%{release}

%description -n	%{staticdevelname}
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

This package contains development files for iproute2.

%package doc
Summary:	Documentation for Advanced IP routing and network device configuration tools
Group:		Networking/Other

%description doc
Documentation for iproute2.

%prep

%setup -q
%autopatch -p1


%build
%serverbuild
%setup_compile_flags
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CCOPTS="%{optflags} -ggdb -fno-strict-aliasing -D_GNU_SOURCE -Wstrict-prototypes -fPIC"
export SBINDIR=/sbin
export LIBDIR=/%{_libdir}
export INCLUDEDIR=%{_includedir}
export KERNEL_INCLUDE=%{_includedir}
export IPT_LIB_DIR=/%{_lib}/iptables
export LATEST_BDB_INCLUDE_DIR=`ls -1d /usr/include/db[0-9]* | tail -n 1`

# (tpg) don't use macro here
./configure

%make KERNEL_INCLUDE=/usr/src/linux/include LIBDIR=/%{_lib}  DBM_INCLUDE=$LATEST_BDB_INCLUDE_DIR
# Doc generation fails with -j24 (ecrm1000 used before generation)
make -C doc

%install
export SBINDIR=/sbin
export MANDIR='%{_mandir}'
export LIBDIR='%{_libdir}'
export DOCDIR='%{_docdir}/%{name}-%{version}'
%makeinstall_std

# development files
install -d %{buildroot}%{_includedir}
install -m0644 lib/libnetlink.a %{buildroot}/%{_libdir}/
install -m0644 include/libnetlink.h %{buildroot}%{_includedir}/

%files
%dir %{_sysconfdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
/sbin/*
/%{_libdir}/tc
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_datadir}/bash-completion/completions/tc

%files -n %{staticdevelname}
%{_includedir}/*.h
/%{_libdir}/*.a

%files doc
%doc README README.decnet README.iproute2+tc README.lnstat
%doc doc/*.dvi doc/*.ps doc/Plan
%doc %{_docdir}/%{name}-%{version}/*.sgml
%doc %{_docdir}/%{name}-%{version}/*.tex
%doc %{_docdir}/%{name}-%{version}/examples


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 4.9.0-1.mga6
+ Revision: 1078960
- 4.9.0

* Fri Nov 11 2016 luigiwalser <luigiwalser> 4.8.0-1.mga6
+ Revision: 1066528
- 4.8.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 4.7.0-1.mga6
+ Revision: 1045502
- 4.7.0
- rediff patch 110

* Wed May 25 2016 luigiwalser <luigiwalser> 4.6.0-1.mga6
+ Revision: 1018528
- 4.6.0

* Mon May 02 2016 tv <tv> 4.5.0-1.mga6
+ Revision: 1008693
- use %%_libdir consistently
- define properly a variable rather than rediffing a very old patch
- new release

* Thu Jan 14 2016 luigiwalser <luigiwalser> 4.4.0-1.mga6
+ Revision: 922951
- 4.4.0

  + tv <tv>
    - switch to pkgconfig() BRs

* Thu Oct 08 2015 blino <blino> 4.2.0-2.mga6
+ Revision: 887688
- fix build when multiple db-devel packages are installed

* Fri Oct 02 2015 tmb <tmb> 4.2.0-1.mga6
+ Revision: 885684
- update to 4.2.0

* Fri Aug 21 2015 tmb <tmb> 4.1.1-2.mga6
+ Revision: 867522
- rebuild for new gcc

* Tue Jul 07 2015 tmb <tmb> 4.1.1-1.mga6
+ Revision: 852643
- update to 4.1.1
  * rebase P8

* Fri Mar 06 2015 tmb <tmb> 3.19.0-1.mga5
+ Revision: 817946
- 3.19.0 (in sync with core kernel)

* Thu Dec 25 2014 tmb <tmb> 3.18.0-1.mga5
+ Revision: 805899
- update to 3.18.0

* Wed Oct 22 2014 tmb <tmb> 3.16.0-1.mga5
+ Revision: 792445
- update to 3.16

* Wed Oct 15 2014 umeabot <umeabot> 3.15.0-3.mga5
+ Revision: 751051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.15.0-2.mga5
+ Revision: 680543
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 tv <tv> 3.15.0-1.mga5
+ Revision: 664714
- rediff patch 0
- rollback from 3.16 to 3.15 as we don't have kernel-userspace-headers-3.16.0 yet
- new release

* Sat Nov 23 2013 tmb <tmb> 3.12.0-1.mga4
+ Revision: 552445
- update to 3.12.0 (matching release kernel)

* Mon Oct 21 2013 umeabot <umeabot> 3.11.0-2.mga4
+ Revision: 541011
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 luigiwalser <luigiwalser> 3.11.0-1.mga4
+ Revision: 494956
- 3.11.0

* Mon Jul 29 2013 tmb <tmb> 3.10.0-1.mga4
+ Revision: 460397
- update to 3.10.0

  + tv <tv>
    - new release
    - rediff patches

* Sat Jan 12 2013 umeabot <umeabot> 3.7.0-2.mga3
+ Revision: 354458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 3.7.0-1.mga3
+ Revision: 339768
- update to 3.7.0

* Mon Jul 30 2012 tv <tv> 3.3.0-4.mga3
+ Revision: 276258
- fix build with db-5.3
- rebuild for db-5.3

* Thu Jun 14 2012 tv <tv> 3.3.0-2.mga3
+ Revision: 260485
- fix build with new db5.2
- build with db5.2

* Tue Mar 20 2012 tmb <tmb> 3.3.0-1.mga2
+ Revision: 224980
- build with libnl3
- update to 3.3.0 (mostly fixes, header sync with kernel 3.3)

* Fri Jan 06 2012 tmb <tmb> 3.2.0-1.mga2
+ Revision: 192632
- rediff patches to apply cleanly
- drop P107 (fixed differently)
- drop P108 (merged)
- add BR libnl-devel
- update filelists
- require kernel-userspace-headers with proper name and version
- update to 3.2.0
- drop defattr

* Sun Mar 20 2011 tmb <tmb> 2.6.38-1.mga1
+ Revision: 74978
- update to 2.6.38

  + rtp <rtp>
    - use kernel-headers to build the rpm. No userspace soft should need kernel-source

* Sat Jan 15 2011 alien <alien> 2.6.37-2.mga1
+ Revision: 18308
- Drop old macro
- Remove BuildRoot
- imported package iproute2

